> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get total earnings for user by date

> Returns total earnings for a user on a given date. Requires API key auth headers.



## OpenAPI

````yaml openapi/polymarket-clob.json GET /apis/v1/polymarket/rewards/user/total
openapi: 3.1.0
info:
  description: ''
  title: Polymarket Clob
  version: '1'
  x-aisa-capabilities:
    idempotency: Idempotency-Key
    max_price: X-AISA-Max-Price-USD
    quote:
      header: X-AISA-Cost-Mode
      value: quote
  x-aisa-configured-paths:
    - /apis/v1/polymarket/batch-prices-history
    - /apis/v1/polymarket/book
    - /apis/v1/polymarket/books
    - /apis/v1/polymarket/builder/trades
    - /apis/v1/polymarket/cancel-all
    - /apis/v1/polymarket/cancel-market-orders
    - /apis/v1/polymarket/clob-markets/{condition_id}
    - /apis/v1/polymarket/data/orders
    - /apis/v1/polymarket/fee-rate
    - /apis/v1/polymarket/fee-rate/{token_id}
    - /apis/v1/polymarket/heartbeats
    - /apis/v1/polymarket/last-trade-price
    - /apis/v1/polymarket/last-trades-prices
    - /apis/v1/polymarket/markets-by-token/{token_id}
    - /apis/v1/polymarket/midpoint
    - /apis/v1/polymarket/midpoints
    - /apis/v1/polymarket/order
    - /apis/v1/polymarket/order-scoring
    - /apis/v1/polymarket/order/{orderID}
    - /apis/v1/polymarket/orders
    - /apis/v1/polymarket/price
    - /apis/v1/polymarket/prices
    - /apis/v1/polymarket/prices-history
    - /apis/v1/polymarket/rebates/current
    - /apis/v1/polymarket/rewards/markets/current
    - /apis/v1/polymarket/rewards/markets/multi
    - /apis/v1/polymarket/rewards/markets/{condition_id}
    - /apis/v1/polymarket/rewards/user
    - /apis/v1/polymarket/rewards/user/markets
    - /apis/v1/polymarket/rewards/user/percentages
    - /apis/v1/polymarket/rewards/user/total
    - /apis/v1/polymarket/sampling-markets
    - /apis/v1/polymarket/sampling-simplified-markets
    - /apis/v1/polymarket/simplified-markets
    - /apis/v1/polymarket/spread
    - /apis/v1/polymarket/spreads
    - /apis/v1/polymarket/tick-size
    - /apis/v1/polymarket/tick-size/{token_id}
    - /apis/v1/polymarket/time
    - /apis/v1/polymarket/trades
  x-aisa-document:
    facts_hash: cb2482955528ad5270b2f3cf84d72a7f4ada570d5e717c4d116ddc6ef1099af2
    generator_version: '2'
    protocol_version: '1'
    schema_version: '1'
    composer_version: '13'
    response_pending: []
    document_hash: sha256:40638f56dd77ff988621358162b7f238b3c7ced8cc4eb76ecd1ba9d2f4b68fc9
  x-aisa-plans:
    builder: 1
    display_plan: payg
    payg: 1
    similarweb_payg: 1
    team: 1
    version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
  x-aisa-provider: polymarket-clob
  x-aisa-catalogs:
    polymarket-clob:
      title: Polymarket Clob
      description: ''
      x-aisa-document:
        facts_hash: cb2482955528ad5270b2f3cf84d72a7f4ada570d5e717c4d116ddc6ef1099af2
        generator_version: '2'
        protocol_version: '1'
        schema_version: '1'
      x-aisa-plans:
        builder: 1
        display_plan: payg
        payg: 1
        similarweb_payg: 1
        team: 1
        version: e70a0959cd1b93b84ae16dffd7a538273ddb9c1d46277b82823c37ff1b6bc0fb
      x-aisa-capabilities:
        idempotency: Idempotency-Key
        max_price: X-AISA-Max-Price-USD
        quote:
          header: X-AISA-Cost-Mode
          value: quote
servers:
  - url: https://api.aisa.one
security:
  - bearerAuth: []
paths:
  /apis/v1/polymarket/rewards/user/total:
    get:
      tags:
        - default
      summary: Get total earnings for user by date
      description: >-
        Returns total earnings for a user on a given date. Requires API key auth
        headers.
      operationId: any_polymarket_clob_apis_v1_polymarket_rewards_us_50471d
      parameters:
        - name: date
          in: query
          description: Date in YYYY-MM-DD format
          required: true
          schema:
            type: string
            format: date
          example: '2024-03-26'
        - name: maker_address
          in: query
          description: Maker address to query earnings for
          required: false
          schema:
            type: string
          example: '0xFeA4cB3dD4ca7CefD3368653B7D6FF9BcDFca604'
        - name: signature_type
          in: query
          description: |
            Signature type for address derivation (required for API KEY auth):
            - 0: EOA
            - 1: POLY_PROXY
            - 2: POLY_GNOSIS_SAFE
          required: false
          schema:
            type: integer
            enum:
              - 0
              - 1
              - 2
        - name: sponsored
          in: query
          description: If true, aggregates both native and sponsored earnings
          required: false
          schema:
            type: boolean
            default: false
      responses:
        '200':
          description: Successfully retrieved total user earnings
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ResponseE58613C05201_TotalUserEarning'
              example:
                - date: '2024-04-09T00:00:00Z'
                  asset_address: '0x9c4E1703476E875070EE25b56A58B008CFb8FA78'
                  maker_address: '0xD527CCdBEB6478488c848465F9947bDA3C2e6994'
                  earnings: 1.59984
                  asset_rate: 0.999357
                - date: '2024-04-09T00:00:00Z'
                  asset_address: '0x69308FB512518e39F9b16112fA8d994F4e2Bf8bB'
                  maker_address: '0xD527CCdBEB6478488c848465F9947bDA3C2e6994'
                  earnings: 8.187219
                  asset_rate: 3.51
        default:
          content:
            application/json:
              schema: {}
          description: >-
            Error response; upstream passthrough responses may use provider
            formats
components:
  schemas:
    ResponseE58613C05201_TotalUserEarning:
      type: object
      description: Total user earnings for a given day grouped by asset
      properties:
        date:
          type: string
          format: date-time
          description: Date of the earnings
        asset_address:
          type: string
          description: Address of the reward asset
        maker_address:
          type: string
          description: Address of the maker
        earnings:
          type: number
          format: double
          description: Total amount of earnings in the asset
        asset_rate:
          type: number
          format: double
          description: Exchange rate of the asset
      required:
        - date
        - asset_address
        - maker_address
        - earnings
        - asset_rate
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.